KCAPI_MD_UPDATE(3)

NAME
kcapi_md_update - message digest update function (stream)

SYNOPSIS

int32_t kcapi_md_update(struct kcapi_handle * handle, const uint8_t * buffer, uint32_t len);

ARGUMENTS

handle
    [in] cipher handle

buffer
    [in] holding the data to add to the message digest

len
    [in] buffer length

DESCRIPTION

The input buffer can be at most INT_MAX in size.

return 0 upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT